TechDraw 3PtAngleDimension: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
(See also TechDraw API)
Line 28: Line 28:


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].

The Dimension Angle3Pt tool can be used in [[macros]] and from the [[Python]] console by using the following functions:


<!--T:12-->
Angle3Pt dimensions can be added to Pages using Python.
</translate>
</translate>
{{Code|code=
{{Code|code=
Line 39: Line 40:
}}
}}
<translate>
<translate>

==Notes== <!--T:7-->
==Notes== <!--T:7-->



Revision as of 15:57, 24 November 2018

TechDraw Dimension Angle3Pt

Menu location
TechDraw → Dimension Angle3Pt
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Description

The Dimension Angle3Pt tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension tool.

File:Angle3PtSample.png

How to use

  1. Select the points or edge which define your measurement.
  2. Press the File:TechDraw Dimension Angle3Pt.png Dimension Angle3Pt button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Options

None.

Properties

Template:TechDraw DimProps

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Angle3Pt tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)

Notes

  • Available from version v0.18